Mantis Bugtracker

Viewing Issue Advanced Details Jump to Notes ] View Simple ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000026 [MyDNS-NG] Global feature always 2009-07-07 18:31 2009-12-22 14:17
Reporter joethesysadmin View Status public  
Assigned To tlamy
Priority normal Resolution fixed Platform
Status resolved   OS
Projection none   OS Version
ETA none Fixed in Version Trunk Product Version 1.2.8.27
  Target Version Product Build
Summary 0000026: Cannot reactivate a zone when deactivated via admin.php
Description When using the $soa_use_active functionality, the admin.php interface can mark zones (SOA) as inactive, but cannot mark them as active.
Steps To Reproduce
Additional Information Here's the fix.

*** 2140,2148 ****
  <TR><TD class=soaFirstRow nowrap>
  <?php
      if ($soa_use_active) {
! echo "<INPUT class=activeBox type=checkbox name=\"active\" value=\""
! . $soa_active_types[1] . "\"";
! if (gettrinary($values['active'])) { echo " checked"; };
        echo " title=\"Uncheck this box to deactivate this zone.\"> ";
      }
  ?>
--- 2141,2153 ----
  <TR><TD class=soaFirstRow nowrap>
  <?php
      if ($soa_use_active) {
! echo "<INPUT class=activeBox type=checkbox name=\"active\" value=\"";
! if (isset($values['active']) && getbool($values['active'])) {
! echo $soa_active_types[1] . "\"";
! echo " checked";
! } else {
! echo $soa_active_types[0] . "\"";
! }
        echo " title=\"Uncheck this box to deactivate this zone.\"> ";
      }
  ?>
Tags patch
Attached Files ? file icon bug0000026.diff [^] (701 bytes) 2009-12-16 16:18

- Relationships

-  Notes
(0000076)
joethesysadmin (reporter)
2009-07-07 19:04

Oops, I think I reversed the order of the files when I did the diff.

I'm sure you can figure out what change is needed.
(0000105)
jorge (administrator)
2009-11-15 17:39

Hi Joe,
Can you update to the latest on trunk, and make the patch for me again, to include it?
(0000115)
tlamy (developer)
2009-12-16 16:19

This should be the correct udiff for the fix; not tested (still have to set up test environment)
(0000128)
tlamy (developer)
2009-12-22 14:17

Fixed in svn rev 212

- Issue History
Date Modified Username Field Change
2009-07-07 18:31 joethesysadmin New Issue
2009-07-07 19:04 joethesysadmin Note Added: 0000076
2009-07-07 22:26 jorge Status new => assigned
2009-07-07 22:26 jorge Assigned To => howardwilkinson
2009-11-15 17:39 jorge Note Added: 0000105
2009-12-16 16:18 tlamy File Added: bug0000026.diff
2009-12-16 16:19 tlamy Note Added: 0000115
2009-12-16 16:19 tlamy Assigned To howardwilkinson => tlamy
2009-12-16 16:20 tlamy Tag Attached: patch
2009-12-22 14:17 tlamy Note Added: 0000128
2009-12-22 14:17 tlamy Status assigned => resolved
2009-12-22 14:17 tlamy Fixed in Version => Trunk
2009-12-22 14:17 tlamy Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker